Skip to content

Undo history​

GET
/api/undo/history

The user's most recent undo-log entries, newest first, both undone and not.

Authorizations​

bearerAuth

API token created via POST /api/tokens or the db:create-token CLI command

Type
HTTP (bearer)

Parameters​

Query Parameters

limit
Type
integer
Minimum
1
Default
50

Responses​

Undo history

application/json
JSON
{
"data": {
"history": [
{
"id": 0,
"action": "string",
"description": "string",
"tasks_affected": 0,
"created_at": "string",
"undone": true,
"fields_changed": [
"string"
],
"snapshot": [
{
"task_id": 0,
"before_state": {
"additionalProperties": "string"
},
"after_state": {
"additionalProperties": "string"
},
"completion_id": 0
}
]
}
],
"count": 0
}
}

Samples​

Powered by VitePress OpenAPI